package com.eactive.eai.rms.onl.common.vo;

import java.io.Serializable;


public class HostInfomationForm
        extends BaseForm
        implements Serializable {

    public static final String WEB_AGENT_CONTEXT_PATH = "/agent/host/";

    public static final String WEB_AGENT_MONITORING_CONTEXT_PATH = "/monitoring";

    private String eaiSvrIp;

    private String eaiSvrInstNm;

    private String hostName;

    private String eaiSvrLsnPort;

    private String agentPage;

    private String agentMonitoringPage = "";

    private String webServerPort;

    public String getWebAgentPath()
            throws Exception {
        String path = "http://" + eaiSvrIp + ":" + eaiSvrLsnPort
                + WEB_AGENT_CONTEXT_PATH + agentPage;
        return path;
    }

    /** @return Returns the eaiSvrInstNm. */
    public String getEaiSvrInstNm() {
        return eaiSvrInstNm;
    }

    /** @param eaiSvrInstNm The eaiSvrInstNm to set. */
    public void setEaiSvrInstNm(String eaiSvrInstNm) {
        this.eaiSvrInstNm = eaiSvrInstNm;
    }

    /** @return Returns the eaiSvrIp. */
    public String getEaiSvrIp() {
        return eaiSvrIp;
    }

    /** @param eaiSvrIp The eaiSvrIp to set. */
    public void setEaiSvrIp(String eaiSvrIp) {
        this.eaiSvrIp = eaiSvrIp;
    }

    /** @return Returns the eaiSvrLsnPort. */
    public String getEaiSvrLsnPort() {
        return eaiSvrLsnPort;
    }

    /** @param eaiSvrLsnPort The eaiSvrLsnPort to set. */
    public void setEaiSvrLsnPort(String eaiSvrLsnPort) {
        this.eaiSvrLsnPort = eaiSvrLsnPort;
    }

    /** @return Returns the agentPage. */
    public String getAgentPage() {
        return agentPage;
    }

    /** @param agentPage The agentPage to set. */
    public void setAgentPage(String agentPage) {
        this.agentPage = agentPage;
    }

    public void setAgentMonitoringPage(String agentMonitoringPage) {
        this.agentMonitoringPage = agentMonitoringPage;
    }

    public String getAgentMonitoringPage() {
        return agentMonitoringPage;
    }

    public String getHostName() {
        return hostName;
    }

    public void setHostName(String hostName) {
        this.hostName = hostName;
    }

    public void setWebServerPort(String webServerPort) {
		this.webServerPort = webServerPort;
	}

	@Override
	public String toString() {
		return "HostInfomationForm [eaiSvrIp=" + eaiSvrIp + ", eaiSvrInstNm=" + eaiSvrInstNm + ", hostName=" + hostName
				+ ", eaiSvrLsnPort=" + eaiSvrLsnPort + ", agentPage=" + agentPage + ", agentMonitoringPage="
				+ agentMonitoringPage + ", webServerPort=" + webServerPort + "]";
	}
	
}
